<?php

class views_handler_linkchecker_settings_edit extends views_handler_field{
	
	function construct() {
		parent::construct();
		$this->additional_fields['lid'] = 'lid';
	}
	
	// Allow an option to set link text
	function option_definition() {
		$options = parent::option_definition();
		$options['text'] = array('default' => 'Edit Link Settings', 'translatable' => TRUE);
		return $options;
	}
	
	function options_form(&$form, &$form_state) {
		parent::options_form($form, $form_state);
		$form['text'] = array(
			'#type' => 'textfield',
			'#title' => t('Text to display'),
			'#default_value' => $this->options['text'],
		);
	}
	
	function query() {
		$this->ensure_my_table();
		$this->add_additional_fields();
	}

	function render($values) {
		$text = !empty($this->options['text']) ? $this->options['text'] : t('Edit Link Settings');
		$lid = $values->{$this->aliases['lid']};
		$path = $this->view->get_url();
		return l($text, "linkchecker/$lid/edit", array(
			'query' => array(
				'destination' => $path,
			),
		));
	}
}