<?php

class views_handler_status_code_text extends views_handler_field{
	
	function construct() {
		parent::construct();
		$this->additional_fields['code'] = 'code';
	}

	function query() {
		$this->ensure_my_table();
		$this->add_additional_fields();
	}

	function render($values) {
		//$text = !empty($this->options['text']) ? $this->options['text'] : t('view');
		$code = $values->{$this->aliases['code']};
		
		$text = '';
		
		// All status code definitions taken from http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html
		
		switch($code){
			case 100:
				$text = 'Continue';
			break;
			case 101:
				$text = 'Switching Protocols';
			break;
			case 200:
				$text = 'OK';
			break;
			case 201:
				$text = 'Created';
			break;
			case 202:
				$text = 'Accepted';
			break;
			case 203:
				$text = 'Non-Authoritative Information';
			break;
			case 204:
				$text = 'No Content';
			break;
			case 205:
				$text = 'Reset Content';
			break;
			case 206:
				$text = 'Partial Content';
			break;
			case 300:
				$text = 'Multiple Choices';
			break;
			case 301:
				$text = 'Moved Permanently';
			break;
			case 302:
				$text = 'Found';
			break;
			case 303:
				$text = 'See Other';
			break;
			case 304:
				$text = 'Not Modified';
			break;
			case 305:
				$text = 'Use Proxy';
			break;
			case 306:
				
			break;
			case 307:
				$text = 'Temporary Redirect';
			break;
			case 400:
				$text = 'Bad Request';
			break;
			case 401:
				$text = 'Unauthorized';
			break;
			case 402:
				$text = 'Payment Required';
			break;
			case 403:
				$text = 'Forbidden';
			break;
			case 404:
				$text = 'Not Found';
			break;
			case 405:
				$text = 'Method Not Allowed';
			break;
			case 406:
				$text = 'Not Acceptable';
			break;
			case 407:
				$text = 'Proxy Authentication Required';
			break;
			case 408:
				$text = 'Request Timeout';
			break;
			case 409:
				$text = 'Conflict';
			break;
			case 410:
				$text = 'Gone';
			break;
			case 411:
				$text = 'Length Required';
			break;
			case 412:
				$text = 'Precondition Failed';
			break;
			case 413:
				$text = 'Request Entity Too Large';
			break;
			case 414:
				$text = 'Request-URI Too Long';
			break;
			case 415:
				$text = 'Unsupported Media Type';
			break;
			case 416:
				$text = 'Requested Range Not Satisfiable';
			break;
			case 417:
				$text = 'Expectation Failed';
			break;
			case 500:
				$text = 'Internal Server Error';
			break;
			case 501:
				$text = 'Not Implemented';
			break;
			case 502:
				$text = 'Bad Gateway';
			break;
			case 503:
				$text = 'Service Unavailable';
			break;
			case 504:
				$text = 'Gateway Timeout';
			break;
			case 505:
				$text = 'HTTP Version Not Supported';
			break;
		}
		return t($text);
	}
}